#include "K40Projectile.h"
#include "Engine/HitResult.h"
#include "LaunchInfo.h"
#include "Components/SphereComponent.h"

class UPrimitiveComponent;
class AActor;

void AK40Projectile::NearMissOverlapEnd(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex)
{

}

void AK40Projectile::NearMissOverlapBegin(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

FLaunchInfo AK40Projectile::GetLastLaunchInfo() const
{
	return FLaunchInfo{};
}

AK40Projectile::AK40Projectile()
{
	this->_nearMissDetector = CreateDefaultSubobject<USphereComponent>(TEXT("NearMissDetector"));
}
